> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Suppression

> Create a per-workspace 'do not contact' entry. Suppressions block all sends to a destination for a given channel to honor opt-outs, handle bounces/complaints, and meet compliance.

## Method

`POST` `/v1/comms/suppressions`

## Body Parameters

<ParamField path="channel" type="string" required>Communication channel (see supported values)</ParamField>
<ParamField path="value" type="string" required>Destination (e.g., email address or phone number)</ParamField>
<ParamField path="reason" type="string">Reason (optional)</ParamField>

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (e.g. <code>Authorization: Bearer YOUR\_API\_KEY</code>)</ParamField>
<ParamField header="X-Workspace-Id" type="string" required>Workspace identifier (UUID)</ParamField>
<ParamField header="content-type" type="string">application/json</ParamField>

## Request Example

<RequestExample>
  <CodeGroup>
    ```bash cURL theme={null}
    curl -X POST https://api.voyantcloud.com/v1/comms/suppressions \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "X-Workspace-Id: WORKSPACE_UUID" \
      -H "content-type: application/json" \
      -d '{ "channel": "email", "value": "user@example.com", "reason": "bounce" }'
    ```

    ```javascript Node.js theme={null}
    await fetch("https://api.voyantcloud.com/v1/comms/suppressions", {
      method: "POST",
      headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}`, "X-Workspace-Id": process.env.WORKSPACE_ID, "content-type": "application/json" },
      body: JSON.stringify({ channel: "email", value: "user@example.com", reason: "bounce" }),
    })
    ```

    ```python Python theme={null}
    import os, requests
    requests.post(
      "https://api.voyantcloud.com/v1/comms/suppressions",
      headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}", "X-Workspace-Id": os.environ["WORKSPACE_ID"], "content-type": "application/json"},
      json={"channel": "email", "value": "user@example.com", "reason": "bounce"},
    )
    ```
  </CodeGroup>
</RequestExample>

## Response

<ResponseExample>
  ```json 201 Created theme={null}
  { "id": "sup_123", "channel": "email", "value": "user@example.com", "reason": "bounce" }
  ```
</ResponseExample>
